*{ margin: 0px;
  padding: 0;
box-sizing: border-box;
max-width: 100%;}
body {
    font-family: 'Segoe UI', Tahoma, Geneva, Verdana, sans-serif;
   
    margin: 0;
    padding: 0;
 
    background-color: #ffffff;
    color: #333;
    transition: background-color 0.3s ease;
  }
  /* Navigation Bar */
  .navbar {
    background-color: #fff; 
    box-shadow: 0 2px 4px rgba(0, 0, 0, 0.1);
    padding: 15px 0; 
    position: fixed;
    width: 100%;
    height: 30px;
    line-height: 30px;
    z-index: 1000;
    width: 100vw;
    height: 60px;
  }
   
  .logoimg{ height: 30px;}
  .container {
    
    margin: 0 auto;
    padding: 0 200px;
    display: flex;
    justify-content: space-between;
    align-items: center;
  }
  
 
  .nav-links {
    list-style-type: none;
    margin: 0;
    padding: 0;
  }
  
  .nav-links li {
    display: inline-block;
    margin-right: 60px;
  }
  
  .nav-links li:last-child {
    margin-right: 0;
  }
  
  .nav-links li a {
    text-decoration: none;
    color: #333; 
    transition: text-shadow 0.3s ease; 
  }
  
  .nav-links li a:hover, #active {
    text-shadow: 0 0 1px #000; 
    color: #030303;}

/* welcome styles */

    .containerintro {
    
      margin: 0 auto;
      padding: 0 50px 0px 200px;
      display: flex;
      justify-content: space-between;
      align-items: center;
    }
    
     .welcome-section {
       background-color: rgb(240,239,230);
       padding: 90px 0px 0px 50px;
       text-align: left;
       width: 100vw;
       
       
     }
     
     .welcome-content {
       margin-bottom: 5px;
     }
     .welcome-section img{height: 700px;}
     .welcome-content h1 {
       font-size: 2.5em;
       font-weight: bold;
       color: #333
       ;
       
     } 
  
     .welcome-content p { padding-top: 20px;
    font-size: 1.1em;
  text-align: left;} 

     .profile-image {
      width: 60%; 
      margin-right: 20px; 
       margin-left: 30px;}
    
    .about-me {
      background-color: #fff;
     
    
      overflow: hidden;
     
      display: flex;
      align-items: center;
    
    }
    
    .containerabout {
      max-width: 800px; 
      padding: 20px;
      width: 25%;
    }
    
    .section-heading {
      margin-top: 0; 
      Margin-bottom: 50px;
      font-size: 2.5em;
    }
    
    .info {
     font-size: 1em;
      margin-bottom: 40px;
    }
    
    .icon {
      margin-right: 20px;
      font-size: 24px;
      
    }
    
    .text h3 {
      margin: 0 0 5px 0;
    }
    
    .text p {
      margin: 0;
    }


/* banner styles */


    .banner {
      background: rgb(240,239,230);
      
      border-bottom: 1px solid #ddd;
    }
    
    .banner ul {
      list-style: none;
      margin: 0;
      padding: 10px 0;
      text-align: center;
    }
    
    .banner ul li {
      font-style: italic ;
      display: inline-block;
      margin: 0 60px;
      color: #3a3a3a;
      font-size: 1.3em;
      font-weight: 400;
     
     
    }
/* my skills */

    .my-skills {
      
      height: 700px;
      overflow: hidden;
      
      display: flex;
      justify-content: space-evenly;
      align-items: center
      
    }
    
    .containerskill {
      width: 75%;
      padding: 20px;
      text-align: center; 
      align-items: center;
    }
    
    .section-heading {
      margin-top: 0;
    }
    
    .skills {
      display: flex;
      justify-content: space-around; 
    }
    
    .soft-skills {
      
      text-align: left; 
      ;
    }
    .soft-skills ul{
      
      list-style: none;
    }

    .soft-skills h3 { margin: 30px; font-size: 1.5em;}
    .soft-skills li { padding: 10px 0px;
    font-size: 1.2em;}
    
    .tool-skills h3 { margin: 30px;font-size: 1.5em;}
    
    .tool-images {
      display: flex;
      flex-wrap: wrap;
      justify-content: space-between; 
    }
    
    .tool {
      width: calc(33.33% - 20px); 
      margin-bottom: 20px;
      text-align: center;
    }
    
    .icon {
      width: 100px; 
      height: 100px;
    }
    
    .tool p {
      margin-top: 10px;
    }

    .container2 {
      display: flex;
      flex-wrap: wrap;
      justify-content: space-between;
      max-width: 500px; 
      margin: 0 auto; 
    }
    
    .card {
      width: 150px; 
      margin-bottom: 20px;
      padding: 20px;
      background-color: #fff;
      border-radius: 8px;
      box-shadow: 0px 0px 10px rgba(0, 0, 0, 0.1);
    }
    
    .card img {
      width: 60px; 
      height: 60px; 
      
    }
    .card i {
      font-size: 40px;
      margin-bottom: 10px;
    }
    
    .card h3 {
      margin: 0;
      font-size: 1.2em;
    }
    
    .progress-bar {
      background-color: #f0f0f0;
      border-radius: 4px;
      height: 10px;
      margin-top: 10px;
    }
    
    .progress {
      background-color: #313131; 
      height: 100%;
      border-radius: 4px;
    }
    

   
 /* footer  Styles */
.mainfooter{
  width: 75%;
display: flex;
background-color: #222;
  color: #ccc;
  padding-top: 60px;
  padding-bottom: 60px;
  justify-items: center;
  justify-content: space-between;
}



.footercontainer {
  background-color: #222;
  color: #ccc;
  align-items: center;
  display: flex;
  flex-direction: column;
  
}




.footer-nav h3,
.social-media h3,
.contact-details h3 {
  color: #fff;
  margin-bottom: 20px;
  font-family: 'Roboto', sans-serif;
  font-weight: 500;
  font-size: 18px;
}

.footer-nav ul,
.social-media ul, .contact-details ul {
  list-style-type: none;
  padding: 0;
}

.footer-nav ul li,
.social-media ul li, .contact-details ul li{
  margin-bottom: 15px;
}

.footer-nav ul li a,
.social-media ul li a, .contact-details ul li a{
  color:#ccc;
  text-decoration: none;
  font-size: 16px;
}

.footer-nav ul li a:hover,
.social-media ul li a:hover, .contact-details ul li a:hover {
 color: #fff;
 text-shadow:0 0 1px #fff ;
}

.contact-details p {
  color: #ccc;
  margin: 5px 0;
  font-size: 16px;
}

.social-media{ text-align: center;
}

.social-media ul {
  display: flex;
  justify-content: center;
  align-items: center;
}

.social-media ul li {
  margin-right: 15px;
}

.social-media ul li:last-child {
  margin-right: 0;
}

.social-media ul li a {
  color: #ccc;
  text-decoration: none;
  font-size: 1.3em;
  transition: filter 0.3s ease;
}



 .footerbelow{background-color: #171717;
  color: #fff;
  padding: 20px;
  text-align: center;
width: 100vw;}